Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization
Class AbstractGraphFilter<G extends AbstractGraph<V,E,O>,V extends AbstractVertex<V,E,O>,E extends AbstractEdge<V,E,O>,O>

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.tools.traceAnalysis.filter.visualization.AbstractGraphFilter<G,V,E,O>

Type Parameters:
  `G` - The graph that is processed by this filter
  `V` - The vertex type of the graph
  `E` - The edge type of the graph
  `O` - The type of the graph's elements origins

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin, IGraphOutputtingFilter<G>

Direct Known Subclasses:
  DescriptionDecoratorFilter, TraceColoringFilter

    public abstract class AbstractGraphFilter<G extends AbstractGraph<V,E,O>,V extends AbstractVertex<V,E,O>,E extends AbstractEdge<V,E,O>,O>

extends AbstractFilterPlugin
implements IGraphOutputtingFilter<G>

Abstract superclass for all graph filters.

Since:
  1.6
Author:
  Holger Knoche

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `INPUT_PORT_NAME_GRAPH` The name of the filter's graph input port.

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Fields inherited from interface kieker.tools.traceAnalysis.filter.IGraphOutputtingFilter
`OUTPUT_PORT_NAME_GRAPH`

Constructor Summary
`AbstractGraphFilter(Configuration configuration, IProjectContext projectContext)` Creates a new filter with the given configuration.

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`String` | `getGraphInputPortName()` Returns the name of the port this filter accepts graphs on.
`String` | `getGraphOutputPortName()` Returns the name of the port this filter uses to emit the graph.
`boolean` | `init()` Initiates the start of a component.
`void` | `processGraph(G graph)` Processes the given graph.

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`terminate`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### INPUT_PORT_NAME_GRAPH

    public static final String INPUT_PORT_NAME_GRAPH

  The name of the filter's graph input port.

  See Also:
    Constant Field Values

Constructor Detail

### AbstractGraphFilter

    public AbstractGraphFilter(Configuration configuration,
                               IProjectContext projectContext)

  Creates a new filter with the given configuration.

  Parameters:
    `configuration` - The filter configuration to use
    `projectContext` - The project context to use.

Method Detail

### init

    public boolean init()

  Description copied from class: `AbstractFilterPlugin`
  Initiates the start of a component. This method is called once when a AnalysisController's run() method is called. This implementation must not be blocking! Asynchronous consumers would spawn (an) asynchronous thread(s) in this method.

  Specified by:
    `init` in interface `IPlugin`
  Overrides:
    `init` in class `AbstractFilterPlugin`
  Returns:
    true on success; false otherwise.

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  Description copied from class: `AbstractAnalysisComponent`
  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Specified by:
    `getCurrentConfiguration` in class `AbstractAnalysisComponent`
  Returns:
    A completely filled configuration object.

### processGraph

    public void processGraph(G graph)

  Processes the given graph.

  Parameters:
    `graph` - The graph to process

### getGraphOutputPortName

    public String getGraphOutputPortName()

  Returns the name of the port this filter uses to emit the graph.

  Specified by:
    `getGraphOutputPortName` in interface `IGraphOutputtingFilter<G extends AbstractGraph<V,E,O>>`
  Returns:
    See above

### getGraphInputPortName

    public String getGraphInputPortName()

  Returns the name of the port this filter accepts graphs on.

  Returns:
    See above

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net